%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		bijiben
Version:	3.7.4
Release:	%mkrel 1
Summary:	Simple Note Viewer
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://www.gnome.org
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.5.19
BuildRequires:	pkgconfig(tracker-sparql-0.14)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(zeitgeist-1.0)
BuildRequires:	pkgconfig(webkitgtk-3.0)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	itstool
BuildRequires:	libxml2-utils

%description
Simple note editor which emphasis on visuals : quickly write
notes, quickly find it back.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-schemas-compile \
	--disable-static
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete
find %{buildroot} -name "*.a" -delete

rm -f %{buildroot}/usr/doc/%{name}/*

%find_lang %{name} --with-gnome --with-help

%files -f %{name}.lang
%doc NEWS AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.bijiben.gschema.xml
%{_datadir}/gnome-shell/search-providers/bijiben-search-provider.ini
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/%{name}
%{_libdir}/%{name}/libgd.so
%{_libexecdir}/%{name}-shell-search-provider
%{_datadir}/dbus-1/services/org.gnome.Bijiben.SearchProvider.service


%changelog

* Mon Jan 14 2013 ovitters <ovitters> 3.7.4-1.mga3
+ Revision: 380345
- new version 3.7.4

* Fri Jan 11 2013 umeabot <umeabot> 3.7.3-2.mga3
+ Revision: 346902
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 ovitters <ovitters> 3.7.3-1.mga3
+ Revision: 331967
- add patch to fix sl translation
- br libxml2-util
- br itstool
- drop merged patch
- package help files
- remove packaging workaround
- new version 3.7.3

* Thu Nov 22 2012 ovitters <ovitters> 3.7.2-1.mga3
+ Revision: 321046
- br gnome-doc-utils
- imported package bijiben

